OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Fluxbox And Angstrom
Wildherb
post Mar 27 2009, 04:28 PM
Post #1





Group: Members
Posts: 92
Joined: 9-January 06
Member No.: 8,887



Hi

I've been having quite a lot of success running pocketworkstation under OpenZaurus GPE. I get the benefit of all the Debian apps but on an optimised and stable X platform. However, I've found that I just cant live with the matchbox wm which auto-fills the screen, but fluxbox-gpe is in the OZ feed and that makes the whole system feel just right. What a difference!

I'd love to now move up to Angstrom but every time I think I'm there I find a reason to stay with OZ. This time, I cant find fluxbox in the Angstrom feed. Is it there, or am I destined to stay on OZ forever?
Go to the top of the page
 
+Quote Post
Capn_Fish
post Mar 27 2009, 06:25 PM
Post #2





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



I guess it's not in the feeds, but it IS in OE. If you have a dev environment, you can build it painlessly. Otherwise, I believe I read one of the devs post that they'd rather have people request packages to be in the feeds rather than having IPKs floating around. If asking on the mailing list doesn't work, I can build it for you (send me a PM).

HTH
Go to the top of the page
 
+Quote Post
Capn_Fish
post Mar 28 2009, 02:11 PM
Post #3





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



OK, I guess I can't build it (it fails with the version officially in OE, and my own 1.0.0 recipe doesn't work with the GPE patches.). sad.gif

If you want just the WM, I can build that for you.
Go to the top of the page
 
+Quote Post
Wildherb
post Mar 28 2009, 04:43 PM
Post #4





Group: Members
Posts: 92
Joined: 9-January 06
Member No.: 8,887



QUOTE(Capn_Fish @ Mar 28 2009, 10:11 PM) *
OK, I guess I can't build it (it fails with the version officially in OE, and my own 1.0.0 recipe doesn't work with the GPE patches.). sad.gif

If you want just the WM, I can build that for you.


What can I say, Cap'n? I'm hugely grateful for your offer. I just want to be able to run X applications in re-sizable windows - not much to ask given that X-windows evolved for just such a purpose? I think it was fluxbox-gpe that I installed on OZ, nothing more. Hope that can compile OK.

BTW, I've never setup an OE development environment as I dont have the facilities. I'm a Mac G4 user (other than my Z's!).

As far as Angstrom on the Z is concerned, I know that icewm, xfce4 and even e17 appear in the feed but my experience is that none of them 'work'. If they run at all they require endless tweaking for menus and fonts to the extent that the average user will give up and re-flash. It also seems that even 2 years on, OZ has more apps than Angstrom, even if they are a bit long in the tooth now. Such a shame.

So, grumbles aside, Aye, Cap'n! Hit me with your best shot and lets see if I can condemn OZ down to Davey Jones' locker once and for all, ah-harrrggghh !

Go to the top of the page
 
+Quote Post
Capn_Fish
post Mar 29 2009, 07:37 AM
Post #5





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



Well, here's Fluxbox. Like I said, I can't seem to get the Fluxbox-GPE package built, but I've included the Bitbake file for it that may tell you what files it edits.

Anyway, best of luck! I've never had luck getting another WM to work on a GPE install.
Attached File(s)
Attached File  fluxbox_1.0.0_r0.1_armv5te.ipk ( 680.24K ) Number of downloads: 0
 
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 24th November 2014 - 02:43 PM